Subject: Re: RFE: "git bisect reverse"

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 28 May 2009 14:54:02 -0700

Ealdwulf Wuffinga wrote:
> 
> It would fit a lot better into this algorithm to have some model of
> the probability that a commit will cause a skip. It doesn't actually
> have to be a very good one, because if it's poor it will only make the
> search slightly less efficient, not affect the reliability of the
> final result.
> 

How about simply modelling it linearly, with 100% probability for known
skip point, 0% for a known good/bad point, and a linear gradient in
between?  It's probably a good enough model.  In practice, it will
vastly overestimate the probability of a skip, so if a linear model
turns out to be too conservative, I would probably just try to model it
as a higher-order power function.

	-hpa